Bug 99235 - [PATCH] comms/linrad: update to 2.14
Summary: [PATCH] comms/linrad: update to 2.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-21 03:40 UTC by Diane Bruce
Modified: 2006-07-01 17:48 UTC (History)
0 users

See Also:


Attachments
linrad-2.14.patch (55.88 KB, patch)
2006-06-21 03:40 UTC, Diane Bruce
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diane Bruce 2006-06-21 03:40:19 UTC
- Update to 2.14

Added file(s):
- files/patch-help.c
- files/patch-lmain.c
- files/patch-lsetad.c
- files/patch-lxsys.c
- files/patch-settx.c
- files/patch-xmain.c

Removed file(s):
- files/patch-configure.in
- files/patch-hwaredriver.c
- files/patch-main.c
- files/patch-modesub.c
- files/patch-setad.c
- files/patch-tune.c
- files/patch-uivar.c
- files/patch-wcw.c


Generated with FreeBSD Port Tools 0.63
Comment 1 Pav Lucistnik freebsd_committer 2006-06-23 12:52:50 UTC
State Changed
From-To: open->feedback

Does not compile: 

cc -oxlinrad -L/usr/X11R6/lib -lX11 -lpthread -lm  -Wl,-Map,linrad.xmap,-warn-common,--cref  membeg.ol xmain.ol xvar.ol ui.ol lsetad.ol fft1.ol buf.ol  mouse.ol wide_graph.ol getiq.ol fft0.ol adtest.ol hires_graph.ol  fftasm.ol baseb_graph.ol mix2.ol afc_graph.ol hwaredriver.ol  sellim.ol palette.ol gifsave.ol timing.ol help.ol calibrate.ol  calsub.ol calsub2.ol llsqvar.ol llsq.ol caliq.ol timf2.ol  powtim.ol selvar.ol fft2var.ol sigvar.ol screenvar.ol uivar.ol  fft1var.ol fft3var.ol calvar.ol blnkvar.ol fft1_re.ol lxsys.ol  fft1_complex.ol powtvar.ol simdasm.ol blank1.ol fft2.ol  pol_graph.ol split.ol modesub.ol spur.ol cohsub.ol coherent.ol  eme.ol spursub.ol freq_control.ol fft2mmxb.ol fft2mmxa.ol  rxin.ol wcw.ol mix1.ol afcsub.ol morse.ol menu.ol fonts.ol  tune.ol txtest.ol lnetwork.ol fft2mmxc.ol hware.ol coh_osc.ol  cwspeed.ol sdrvar.ol sdr14.ol keyboard_var.ol thrvar.ol  xsys.ol vlab.ol screen.ol netvar.ol settx.ol cwdetect.ol  txvar.ol screensub.ol fft3.ol wxsys.ol memend.ol 
/usr/bin/ld: warning: i386 architecture of input file `getiq.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `fftasm.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `simdasm.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `split.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `fft2mmxb.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `fft2mmxa.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `fft2mmxc.ol' is incompatible with i386:x86-64 output 
/usr/bin/ld: warning: i386 architecture of input file `hware.ol' is incompatible with i386:x86-64 output 
lxsys.ol(.text+0x7e): In function `lir_parport_permission': 
: undefined reference to `i386_set_ioperm' 
lxsys.ol(.text+0x3ea): In function `lir_outb': 
: undefined reference to `i386_set_ioperm' 
lxsys.ol(.text+0x453): In function `lir_inb': 
: undefined reference to `i386_set_ioperm' 
*** Error code 1 

Perhaps this should have ONLY_FOR_ARCHS=i386? 


Comment 2 Pav Lucistnik freebsd_committer 2006-06-23 12:52:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 3 Pav Lucistnik freebsd_committer 2006-06-23 16:27:39 UTC
State Changed
From-To: feedback->open

Feedback received 


Comment 4 Pav Lucistnik freebsd_committer 2006-06-23 16:27:39 UTC
Responsible Changed
From-To: pav->freebsd-ports-bugs

Release; I don't have i386 testbed
Comment 5 Shaun Amott freebsd_committer 2006-07-01 15:23:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Take it.
Comment 6 Shaun Amott freebsd_committer 2006-07-01 17:45:13 UTC
State Changed
From-To: open->closed

Committed, thanks!